<?php

namespace Planaday\Html\NodeTags\DayPart\ListItem;

use Planaday\Config\OptionGroupEnum;

enum DayPartListItemSettingsEnum: string implements OptionGroupEnum {
	case ShowLabels = 'showLabels';
	case ShowLocation = 'showLocation';
	case LocationTemplate = 'locationTemplate';
	case ShowList = 'showList';
	case ShowIcons = 'showIcons';
	case ShowDescription = 'showDescription';
	case ShowELearningLabel = 'showELearningLabel';

	public static function getClassName(): string {
		return DayPartListItemSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return null;
	}
}
